Bug 492681 - Gnome hangs when switching between different workplaces
Gnome hangs when switching between different workplaces
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-28 02:26 EDT by Dmitry.Monin
Modified: 2009-12-18 04:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:07:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitry.Monin 2009-03-28 02:26:16 EDT
Description of problem:
I'm using Gnome. I frequently switch between its 4 workspaces. Everything works well first. When I switch to another workspace all the windows and icons (Computer, Trash etc.) on that workspace appear almost immediately. But after 25-30 switches it suddenly gets slow in redrawing the icons on the Desktop. The Desktop hangs for a second or two. I can reset it by opening the "Change Desktop Background" window and closing it. I don't even have to change anything in that window. Just open and close it. The icons on the Desktop start to appear almost immediately again.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start X
2. Leave one workspace empty. Just the usual icons such as Computer, user's Home, and Trash
3. On another workspace open an xterm and maximize the window so it fills the whole desktop
4. Start switching between the two workspaces. You can use either the keyboard or the mouse. It doesn't matter.
  
Actual results:


Expected results:


Additional info:
ASUS A7S333 motherboard; AMD Athlon XP 1700+ CPU; 767Mb of RAM
NVIDIA GPU GeForce2 MX/MX 400 (64Mb); LG L222W LCD
Linux version 2.6.27.19-170.2.35.fc10.i686
System up-to-date
Comment 1 Bug Zapper 2009-11-18 06:37:45 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:07:43 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.